
// 年度に関する事項
#define SHONENDO             2010
#define SAISHUNENDO          2110
#define ECON_SHONENDO        2001
#define SOTOWAKU_SHONENDO    2005
#define KAKAKU_NENDO         2004

// 計は０とする
#define SUM 0

// 制度区分
#define KOKUNEN 1
#define KOUNEN  2
#define KOKKYO  3
#define CHIKYO  4
#define SHIGAKU 5
#define JR      6
#define JT      7
#define NORIN   8
#define BUNPAI  6

// 支給形態区分
#define KIHON 1
#define KAKYU 2

// 新旧区分
#define NEW 1
#define OLD 2

// 性別区分
#define OTOKO 1
#define ONNA  2

// 納付状態区分（新法老齢用）
#define NOUFU        1
#define MENJO_ZENHAN 2
#define MENJO_KOUHAN 3

// 納付状態区分（旧法老齢用）
#define MENJO             2
#define KAKYU_NOUFU       3
#define KAKYU_MENJO       4
#define KASANOUFU         5
#define KASAMENJO         6
#define ROFUKU_SHITASASAE 7
#define GONEN             8

// 給付方法区分
#define IPPAN      1
#define HATACHIMAE 2

#define KYOSHUTU 1
#define TOKUBETU 2

#define ROREI  1
#define SHOGAI 2
#define IZOKU  3

#define TOKUBETU_MENJO      1
#define TOKUBETU_KASAAGE    2
#define TOKUBETU_KASAMENJO  3
#define TOKUBETU_SHITASASAE 4
#define TOKUBETU_GONEN      5
#define TOKUBETU_20MAE      6

// 前後半期間
#define ZENHAN 1
#define KOUHAN 2

// 死亡一時金用
#define FUKA 2

// 寡婦年金用
#define OLD_NOUFU 2
#define OLD_MENJO 3

// 付加年金用
#define OLD_ROREI 2
#define OLD_TURO  3

// 年齢に関する事項
#define MAX_JUKYU      115
#define MAX_HIHO_NENREI 70
#define MIN_HIHO_NENREI 20
#define HIHO_NENREI_SUM 19

#define NENREI_SUM 62
#define UNDER_63   63
#define UNDER_64   64
#define UNDER_67   67

// データ読み込み
#define DATA_MAX   100
#define DATA_MAX_C 100
#define BUFFER_MAX 100

// Function Prototypes
// main関数
void cntl();
void file_open();
void zero();
void ReadKokunen();
void ReadHiyousha( int seido );
void waku();
void Atamawari();
void Atamawari_cut( int c_nendo );
void file_write();
void file_write_cut();
void printout();
void printout_2();
void econ();
void read_file();
void tyousei();
void read_cut();
void tumatumi_cal();
void fukushi_cal();
void dokuzi_cal();

// 標準フォーマット関数
int read_data( double buffer[] , FILE *fp , int *data_number_ptr );
void read_headder( FILE *fp );
void write_BeginData( FILE *fp );
void VersionConfirm();
int Round(double a,int b);
double min(double a,double b);
double max(double a,double b);
void readkiso_error(int shurui);
